# /etc/multitail.d/main.conf - main config file for multitail(1)

# attributes: normal, bold, reverse, inverse, underline, dim, blink

###########################################################################
# external interfaces

shell:/bin/sh

# check for mail every X seconds, 0 to disable
check_mail:0

# what umask to use when creating files
umask:0022

# if "yes", the local tail(1) program only understands POSIX switches
posix_tail:no

###########################################################################
# file I/O and buffering

# yes = file name will be re-opened if it is moved/deleted/etc
# no  = same inode is shown, regardless of moves/deletes/etc
follow_filename:yes

# default number of lines to buffer globally, set 1 only
#global_default_nlines:100
global_default_nkb:1MB

# Number of lines to drop when a buffer becomes full.
# (Dropping only one line at a time chews up more processor power.)
min_shrink:10

# what to buffer by default 'a'll or what went through the 'f'ilter
default_bufferwhat:f

# how many initial lines to tail (if available)
min_n_bufferlines:500

###########################################################################
# scroll back

# dsblwm = default scroll back line wrap mode
dsblwm:yes

# otherwise there is a pointless border
scrollback_fullscreen_default:yes

# suppressing colors in scollback window can speed up scrolling a little
scrollback_no_colors:no

scrollback_search_new_window:yes
# yes = open new window with found strings
# no  = jump to the next found

# Show (sub-)window numbers? (toggle with CTRL+T, bare 't' to see win list)
scrollback_show_winnrs:no

###########################################################################
# keys and bindings

# map delete key as backspace key (useful on Macintosh)
map_delete_as_backspace:no

# Below are ASCII values, so CTRL+A=1, CTRL+B=2, CTRL+Z=26, etc.
# ESC = 27 -- you will likely have to press ESC twice

# What key to press to abort an action/menu/etc?  ^g = 7
abort_key:7

# What key to exit Multitail?  ^c = 3
exit_key:3

###########################################################################
# general program UI

# show sub-window ID at start of each file line
show_subwindow_id:off

# FIXME not well documented, no obvious difference I can see
bright:0

# close windows when end-of-file (EOF) reached?
close_closed_windows:no

# history for filenames, pathnames, commands
cmdfile_history_file:~/.multitail.cmdfilehistory
cmdfile_history_size:30

# each sub-window gets a status line, under it by default
statusline_above_data:yes
statusline_attrs:cyan,black,reverse

###########################################################################
# warnings/errors

# on error: beep, flash, popup, none
beep_method:beep

# auto-dismiss popup msgs after X seconds (for beep_method:popup)
beep_popup_length:0.1

# refresh popups every X seconds (when applicable)
popup_refresh_interval:5

# should a popup box be displayed when a window closes by itself?
warn_closed:yes

###########################################################################
# titles/captions/labels

# text to put in front of line with window-number
window_number:[%02d]
subwindow_number:[%02d]

# appears in xterm window titles, icons, etc.
titlebar:%f (%u@%h) %t MultiTail
# %f  most recently changed file
# %u  username
# %h  hostname
# %l  system load
# %t  date + time
# %m  "New mail" or nothing

###########################################################################
# time string formats

# these use the format specifiers of strftime(3)
# most common:
# %Y %m %d = year month day, numeric, zero padded, 4-digit year
# %H %M %S = hour minute second, numeric, zero padded, 24-hour clock
# %b = abbreviated month name per locale (e.g., Jan, Feb, Mar, ..., Dec)
# %a = abbreviated day-of-week per locale (e.g., Mon, Tue, ..., Sun)
# %I = 12-hour clock, %p = AM/PM, %Z = time zone, %z = UTC offset HHMM

# general timestamp format
ts_format:G %Y-%m-%d %H:%M:%S

# sub-window status/title bar, marker lines
statusline_ts_format:%a %b %Y-%m-%d %H:%M:%S %Z

# when adding timestamps to lines as they appear (-ts option)
# to save space, omit month/year; keep day for long-running watch
line_ts_format:%d %H:%M:%S

# used in mt.c:recv_from_fd() apparently for when file data was read
# possibly for when adding/translating from syslog?
syslog_ts_format:S %Y-%m-%d %H:%M:%S

# "used in conversions" - maybe "convert:" directives?
cnv_ts_format:C %Y-%m-%d %H:%M:%S

###########################################################################
# line/word wrapping

default_linewrap:l
# (except for l/r (left/right), all wrap to multiple lines)
# a all (show everything, wrap at last column, break words indiscriminately)
# l left (cut end of line to fit on one line)
# r right (trim start of line to fit one line)
# s syslog (syslog format input: trim timestamp and hostname)
# S syslog (syslog format input: trim time, host, process name & PID)
# o offset (trim all before character position X)
# w wordwrap (wrap at word breaks)
# FIXME syslog modes are not working for me 

# wordwrap: length of "word" at which point word will be broken to wrap line
wordwrapmaxlength:31

###########################################################################
# misc output tweaks

# skip display of empty lines? (scrollback always shows them)
suppress_empty_lines:yes

# width of a TAB character
tab_stop:8

# ^x instead of an inverse .
caret_notation:yes

# reduce filesizes to KB/MB/GB
abbreviate_filesize:on

# show ip addresses or hostnames?
resolv_ip_addresses:no

# show severity/facility? not shown in regular syslogd
show_severity_facility:yes

# allow 8-bit characters? (e.g., umlauts, accents, etc.)
allow_8bit:yes

###########################################################################
# color defaults

# See also color.conf for colors specific to log file formats.

# if not specified, will use terminal's default background color
#default_background_color:black

# For nominally inverse text (matches, menu highlights, etc.),
# apply which text attribute(s)?
inverse:bold/reverse

###########################################################################
# special lines in output display

# Several of these have a _color and a _char directive.
# Color is fg,bg,attr like the rest of Multitail.
# _char specifies a character to repeat to fill the entire row/line.

# -------------------------------------------------------------------------
# marker lines

# You can insert a marker line in all sub-windows by pressing [ENTER].
# Useful for keeping track of where you are in logs, seen lines, etc.
# Marker lines should not be confused with file change marks.

markerline_color:black,black,bold/dim
markerline_char:-

# include a timestamp in the middle, or just the row of characters?
markerline_timestamp:on

# input lines that match this will also be replaced by marker lines.
replace_by_markerline:-- MARK --

# -------------------------------------------------------------------------
# file change marks

# When merging multiple files into one mixed sub-window,
# and the file being followed changes (new activity on another file)
# a marker line can be added in the output to indicate the change in file.
# File change marks should not be confused with marker lines.

# do this for all files by default?
global_mark_change:no

# This can also be specified on a per-file-path.
# See default_mark_change in paths.conf for that.

# -------------------------------------------------------------------------
# split line

# When screen is split vertically (-s option), how to draw the divider?

splitline:regular
# none = no divider (characters in side-by-side windows "touch" each other)
# regular = use status line attributes for the vertical divider
# attributes = use attributes defined below

splitline_attrs:white,black,inverse

# -------------------------------------------------------------------------
# change line

# printed when switching sub-windows

changeline_color:magenta,black
changeline_char:=

# -------------------------------------------------------------------------
# idle line

idleline_color:blue,black
idleline_char:~

# -------------------------------------------------------------------------
# message line

# program messages (EOF, regexp errors, file truncated, etc)

msgline_color:red,black,bold
msgline_char:-

###########################################################################
# searching

# ignore cAsE when searching by default?
searches_case_insensitive:yes

# when search is invoked, use previously search string as default?
reuse_searchstring:yes

# remember past search strings?
searchhistory_file:~/.multitail.searchhistory
searchhistory_size:20

###########################################################################
# includes

include:/etc/multitail.d/color.conf
include:/etc/multitail.d/transform.conf
include:/etc/multitail.d/paths.conf

# END
###########################################################################
